TakenAt: 2025-04-06T17:14:01Z
TakenAtLocal: 2025-04-06T18:14:01Z
TakenSrc: meta
UID: pt67zjlctffnqe9i
Type: image
Title: Recents / 2025
TimeZone: UTC+1
Year: 2025
Month: 4
Day: 6
Quality: 2
Details:
  Keywords: blue, recents
CreatedAt: 2025-11-24T07:30:57Z
UpdatedAt: 2025-11-24T09:53:55Z
